/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "vncharacter.h"
#include "conversation/vnconversation.h"
#include "gui/vntextbox.h"
#include "../display/camera.h"
#include "../display/shader.h"

void vnSceneInit(vnscene_t *scene, font_t *font, texture_t *text);

void vnSceneUpdate(vnscene_t *scene, engine_t *engine);

void vnSceneDispose(vnscene_t *scene);

void vnSceneRenderWorld(vnscene_t *scene, engine_t *engine, shader_t *shader);

void vnSceneRenderGui(vnscene_t *scene, engine_t *engine, shader_t *shader);